# \_new

Create a new Supplier record.

### Parameters

#### name

The name of the Supplier.

#### contact\_name

The contact name for the Supplier.

#### account\_number

The account number of the Supplier.

#### tax\_id

The tax id of the Supplier.

#### email

The email of the Supplier.

#### phone

The phone number of the Supplier.

#### website

The website URL of the Supplier.

#### street\_address1

The first line of the Suppliers address.

#### street\_address2

The second line of the Suppliers address.

#### town

The town of the Supplier.

#### county

The county of the Supplier.

#### country

The country code of the Supplier, eg. United Kingdon - GBR

#### postcode

The postcode of the Supplier.

#### notes

Notes for the Supplier.

#### on\_hold

Yes - 1 No - 0

### Example

```
FM_api('Supplier_new',  ['name' => 'Supplier 1',
												 'contact_name' => 'mary',
												 'account_number' => '12',
												 'tax_id' => '20',
												 'email' =>  'Supplier@email.com',
												 'phone' => '53234234',
												 'website' => 'www.testsupplier.co.uk',
												 'street_address1' => '62 Miltown St',
												 'street_address2' => 'Burren',
												 'town' => 'Warrrenpoint',
												 'county' => 'Down',
												 'country' => 'GBR',
												 'postcode' => 'BT343PU',
												 'notes' => 'Test Note',
												 'on_hold' => '0'
												 ]));
```

### Result

#### On Success

```
"{"ok":1,"id":7}"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/supplier/_new.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
